Subject: Re: postgres connection problem
From: Jason Tishler <[email-masked]>
To: Markus Hoenicka <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Thu, 16 Aug 2001 15:50:49 -0400

Markus,

On Tue, Aug 07, 2001 at 02:32:56PM +0000, Markus Hoenicka wrote:
> BTW this is what ls tells me about the access rights of
> the socket:
> 
> markus@WUTZ ~
> $ ls -al /tmp/.s.PGSQL.5432
> srwxrwxrwx    1 postgres Kein           51 Aug  6 20:33 /tmp/.s.PGSQL.5432

My original hypothesis that restrictive access rights of the AF_UNIX
socket was causing your PostgreSQL connection problem is incorrect.
However, I tracked down the problem to overly tight security on a Windows
event used by the AF_UNIX socket implementation.

I recently submitted a patch to Cygwin CVS:

    http://www.cygwin.com/ml/cygwin-patches/2001-q3/msg00082.html

that has been accepted:

    http://www.cygwin.com/ml/cygwin-cvs/2001-q3/msg00095.html

I believe that this should solve your problem.  Please build the latest
CVS or try the next snapshot and report back to the list whether or not
your connection problem has been resolved.

BTW, I have successfully connected to PostgreSQL via AF_UNIX sockets
using the following configuration:

    ipc-daemaon: running under LocalSystem (as an NT service)
    postmaster:  running under postgres
    psql:        running under jt

Although, I have not tried it yet, I believe that postmaster running
under postgres *as an NT service* should work too.

Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/